## obs-move-transition 2.5.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12..4.0)

project(move-transition VERSION 2.5.7)
set(PROJECT_FULL_NAME "Move Transition")

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.h.in ${CMAKE_CURRENT_SOURCE_DIR}/version.h)

set(move-transition_HEADERS
	move-transition.h
	easing.h
	version.h)
set(move-transition_SOURCES
	move-transition.c
	move-transition-override-filter.c
	move-source-filter.c
	move-value-filter.c
	audio-move.c
	easing.c)

if(WIN32)
	get_filename_component(ISS_FILES_DIR "${CMAKE_BINARY_DIR}\\..\\package" ABSOLUTE)
	file(TO_NATIVE_PATH "${ISS_FILES_DIR}" ISS_FILES_DIR)
	get_filename_component(ISS_PACKAGE_DIR "${CMAKE_PACKAGE_PREFIX}\\.." ABSOLUTE)
	file(TO_NATIVE_PATH "${ISS_PACKAGE_DIR}" ISS_PACKAGE_DIR)
	get_filename_component(ISS_SOURCE_DIR "${PROJECT_SOURCE_DIR}" ABSOLUTE)
	file(TO_NATIVE_PATH "${ISS_SOURCE_DIR}" ISS_SOURCE_DIR)
	configure_file("installer.iss.in"
			"${PROJECT_BINARY_DIR}/installer.iss"
		)
	configure_file(resource.rc.in move-transition.rc)
	list(APPEND move-transition_SOURCES
		move-transition.rc)
endif()

if(BUILD_OUT_OF_TREE)
    find_package(LibObs REQUIRED)
endif()

add_library(move-transition MODULE
	${move-transition_HEADERS}
	${move-transition_SOURCES})
target_link_libraries(move-transition
	obs-frontend-api
	libobs)

if(BUILD_OUT_OF_TREE)
    if(NOT LIB_OUT_DIR)
        set(LIB_OUT_DIR "/lib/obs-plugins")
    endif()
    if(NOT DATA_OUT_DIR)
        set(DATA_OUT_DIR "/share/obs/obs-plugins/move-transition")
    endif()
    set_target_properties(move-transition PROPERTIES PREFIX "")
    install(TARGETS move-transition
        LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/${LIB_OUT_DIR})
    install(DIRECTORY data/locale
        DESTINATION ${CMAKE_INSTALL_PREFIX}/${DATA_OUT_DIR})
else()
    target_include_directories(move-transition PRIVATE
        "${CMAKE_SOURCE_DIR}/UI/obs-frontend-api")
    set_target_properties(move-transition PROPERTIES FOLDER "plugins/exeldro")
    install_obs_plugin_with_data(move-transition data)
endif()

=== debian/changelog ===
obs-move-transition (2.5.7-1) unstable; urgency=medium

  * New upstream version 2.5.7.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 13 Feb 2022 22:36:22 -0300

obs-move-transition (2.5.6-1) unstable; urgency=medium

  * New upstream version 2.5.6.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 23 Jan 2022 22:14:58 -0300

obs-move-transition (2.5.5-1) unstable; urgency=medium

  * New upstream version 2.5.5.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 22 Jan 2022 19:39:58 -0300

obs-move-transition (2.5.4-1) unstable; urgency=medium

  * New upstream version 2.5.4.
  * debian/copyright: updated upstream copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 11 Jan 2022 20:47:28 -0300

obs-move-transition (2.5.3-3) unstable; urgency=medium

  * Using variables to improve and standardize the building and CI test.
    Consequently, updated the following files:
      - debian/rules
      - debian/tests/control
  * debian/upstream/metadata: added an extra Donation field.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 02 Jan 2022 23:52:19 -0300

obs-move-transition (2.5.3-2) unstable; urgency=medium

  * Happy New Year!
  * debian/control: minor fix in long description.
  * debian/copyright: updated packaging copyright years.
  * debian/upstream/metadata: added Donation field.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 01 Jan 2022 20:22:41 -0300

obs-move-transition (2.5.3-1) unstable; urgency=medium

  * New upstream version 2.5.3.
  * The upstream enabled the 'build out of tree'. Consequently:
      - debian/install: no longer needed. Removed.
      - debian/patches/*: no longer needed. Removed.
      - debian/rules:
          ~ Created override_dh_auto_configure to pass some parameters to
            cmake.
          ~ Fixed the path for the translations.
          ~ Removed no longer needed override_dh_install.
  * debian/rules: added a check to verify if the plugin was installed in the
    right place.
  * debian/tests/*: added to provide a trivial CI test. The current test checks
    if the lib loads.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 27 Dec 2021 19:30:50 -0300

obs-move-transition (2.5.2-1) unstable; urgency=medium

  * New upstream version 2.5.2.
  * debian/control:
      - Added a relationship for libobs-dev.
      - Removed a digit from Standards-Version.
  * debian/patches/010_fix-cmake.patch: fixed the upstream version.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 04 Dec 2021 09:30:12 -0300

obs-move-transition (2.5.1-3) unstable; urgency=medium

  * debian/patches/:
      - 010_fix-cmake.patch: added an include to allow the CMake to search for
        files in /usr/include/obs/. Thanks for Sebastian Ramacher.
        (Closes: #998853)
      - 030_provide-missing-files.patch: removed because the following reasons:
          ~ The last change in patch 010 (see above) fixed the issue with the
            file obs-frontend-api.h.
          ~ The upstream removed the include for easings.h in current version
            ( 2.5.1). (Closes: #998855)
            Reference: https://github.com/exeldro/obs-move-transition/issues/93
  * debian/rules: removed no longer needed dh_auto_configure.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 28 Nov 2021 12:07:48 -0300

obs-move-transition (2.5.1-2) unstable; urgency=medium

  * debian/control: fix minimum version for obs-studio in long description.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 07 Nov 2021 09:42:17 -0300

obs-move-transition (2.5.1-1) unstable; urgency=medium

  * New upstream version 2.5.1.
  * Upload to unstable.
  * debian/control:
     - Added Enhances field to binary section.
     - Changed minimum version for obs-studio to 27 in Depends field. The
       upstream confirmed this information.
     - Set 'Multi-Arch: same'.
  * debian/copyright: added absent years for the upstream.
  * debian/patches/: updated all current patches to run with the new upstream
    release.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 06 Nov 2021 15:24:54 -0300

obs-move-transition (2.5.0-2) experimental; urgency=medium

  * debian/control: bumped Standards-Version to 4.6.0.1.
  * debian/rules: fixed the target variable (changed to DEB_TARGET_MULTIARCH).

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 12 Sep 2021 23:53:59 -0300

obs-move-transition (2.5.0-1) unstable; urgency=medium

  * Initial release (Closes: #993881)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 07 Sep 2021 09:07:28 -0300

=== debian/control ===
Source: obs-move-transition
Section: video
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: debhelper-compat (= 13), cmake, libobs-dev (>= 27)
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://obsproject.com/forum/resources/move-transition.913/
Vcs-Browser: https://salsa.debian.org/debian/obs-move-transition
Vcs-Git: https://salsa.debian.org/debian/obs-move-transition.git

Package: obs-move-transition
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, obs-studio (>= 27)
Enhances: obs-studio
Description: plugin for OBS Studio to improve switching scenes
 This plugin moves sources to a new position during a scene transition,
 adding nice effects. If the 2 scenes contain a source with similar name
 (configured with settings) it will do the move the position and size
 between the 2 positions.
 .
 This filter can be added to a scene or a source to override the move
 transition for a source of the scene or the source global.
 .
 To use Move Transition, find for "Move" in "Scene Transitions" dock.
 .
 This plugin is compatible with OBS 27 or higher.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Exclude "obs-" from NAME and set a DEST
export PLUGIN_NAME=$(shell echo ${DEB_SOURCE} | cut -d"-" -f2-)
export PLUGIN_DEST=debian/${DEB_SOURCE}/usr/lib/${DEB_TARGET_MULTIARCH}/obs-plugins

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_OUT_OF_TREE=On \
                             -DLIB_OUT_DIR=lib/${DEB_TARGET_MULTIARCH}/obs-plugins \
                             -DDATA_OUT_DIR=share/obs/obs-plugins/${PLUGIN_NAME}

execute_after_dh_install-arch:
	# Check if the plugin is in right place
	ls ${PLUGIN_DEST}/${PLUGIN_NAME}.so

=== debian/watch ===
version=4
https://github.com/exeldro/obs-move-transition/releases archive/refs/tags/(\d\S+)\.tar\.(?:bz2|gz|xz)

## obs-move-transition 2.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.12..4.0)
 
-project(move-transition VERSION 2.5.7)
+project(move-transition VERSION 2.6.1)
 set(PROJECT_FULL_NAME "Move Transition")
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.h.in ${CMAKE_CURRENT_SOURCE_DIR}/version.h)
@@ -12,8 +12,10 @@
 set(move-transition_SOURCES
 	move-transition.c
 	move-transition-override-filter.c
+	move-filter.c
 	move-source-filter.c
 	move-value-filter.c
+	move-action-filter.c
 	audio-move.c
 	easing.c)
 
@@ -29,6 +31,7 @@
 		)
 	configure_file(resource.rc.in move-transition.rc)
 	list(APPEND move-transition_SOURCES
+		move-directshow-filter.cpp
 		move-transition.rc)
 endif()
 
@@ -39,9 +42,18 @@
 add_library(move-transition MODULE
 	${move-transition_HEADERS}
 	${move-transition_SOURCES})
-target_link_libraries(move-transition
-	obs-frontend-api
-	libobs)
+
+if(WIN32)
+	target_link_libraries(move-transition
+		obs-frontend-api
+		libobs
+		strmiids
+		w32-pthreads)
+else()
+	target_link_libraries(move-transition
+		obs-frontend-api
+		libobs)
+endif()
 
 if(BUILD_OUT_OF_TREE)
     if(NOT LIB_OUT_DIR)

=== debian/changelog ===
obs-move-transition (2.6.1-1) unstable; urgency=medium

  * New upstream version 2.6.1.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 17 Jul 2022 01:48:12 -0300

obs-move-transition (2.6.0-1) unstable; urgency=medium

  [ Joao Eriberto Mota Filho ]
  * New upstream version 2.6.0.
  * debian/control: bumped Standards-Version to 4.6.1.

  [ Debian Janitor ]
  * Remove duplicate values for fields Donation in debian/upstream/metadata.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 12 Jul 2022 15:49:52 -0300

obs-move-transition (2.5.8-1) unstable; urgency=medium

  * New upstream version 2.5.8.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 05 Mar 2022 17:03:15 -0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: debhelper-compat (= 13), cmake, libobs-dev (>= 27)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://obsproject.com/forum/resources/move-transition.913/
 Vcs-Browser: https://salsa.debian.org/debian/obs-move-transition

## obs-move-transition 2.8.1

=== CMakeLists.txt ===
# --- Detect if the plugin is build out of tree or not ---
if(CMAKE_PROJECT_NAME STREQUAL "obs-studio")
  set(BUILD_OUT_OF_TREE OFF)
else()
  set(BUILD_OUT_OF_TREE ON)
  cmake_minimum_required(VERSION 3.18)
endif()

project(move-transition VERSION 2.8.1)
set(PROJECT_FULL_NAME "Move Transition")

# Set new UUIDs when you start to create a new plugin.
set(MACOS_PACKAGE_UUID "207061E8-795D-4FC8-9BB6-30DF9291E34F")
set(MACOS_INSTALLER_UUID "A4BEF905-CFE5-45F7-B29F-561FD3838103")

add_library(${PROJECT_NAME} MODULE)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.h.in ${CMAKE_CURRENT_SOURCE_DIR}/version.h)

target_sources(${PROJECT_NAME} PRIVATE
	move-transition.c
	move-transition-override-filter.c
	move-filter.c
	move-source-filter.c
	move-value-filter.c
	move-action-filter.c
	audio-move.c
	easing.c
	move-transition.h
	easing.h
	version.h)

if(BUILD_OUT_OF_TREE)
	find_package(libobs REQUIRED)
	find_package(obs-frontend-api REQUIRED)
	include(cmake/ObsPluginHelpers.cmake)
	set(OBS_FRONTEND_API_NAME "obs-frontend-api")
else()
	set(OBS_FRONTEND_API_NAME "frontend-api")
endif()
  
if(OS_WINDOWS)
	get_filename_component(ISS_FILES_DIR "${CMAKE_BINARY_DIR}\\..\\package" ABSOLUTE)
	file(TO_NATIVE_PATH "${ISS_FILES_DIR}" ISS_FILES_DIR)
	get_filename_component(ISS_PACKAGE_DIR "${CMAKE_PACKAGE_PREFIX}\\.." ABSOLUTE)
	file(TO_NATIVE_PATH "${ISS_PACKAGE_DIR}" ISS_PACKAGE_DIR)
	get_filename_component(ISS_SOURCE_DIR "${PROJECT_SOURCE_DIR}" ABSOLUTE)
	file(TO_NATIVE_PATH "${ISS_SOURCE_DIR}" ISS_SOURCE_DIR)
	configure_file("installer.iss.in"
			"${PROJECT_BINARY_DIR}/installer.iss"
		)
	configure_file(${CMAKE_CURRENT_SOURCE_DIR}/resource.rc.in ${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}.rc)
	target_sources(${PROJECT_NAME} PRIVATE 
		${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}.rc
		move-directshow-filter.cpp)
	target_link_libraries(${PROJECT_NAME}
		strmiids
		w32-pthreads)
elseif(OS_MACOS)
		set(MACOS_BUNDLEID "com.exeldro.${PROJECT_NAME}")
		set(MACOSX_PLUGIN_GUI_IDENTIFIER "${MACOS_BUNDLEID}")
		set(MACOSX_PLUGIN_BUNDLE_VERSION "${PROJECT_VERSION}")
		set(MACOSX_PLUGIN_SHORT_VERSION_STRING "1")
		configure_file(cmake/bundle/macos/installer-macos.pkgproj.in ${CMAKE_BINARY_DIR}/installer-macos.generated.pkgproj)
		target_compile_options(${PROJECT_NAME} PRIVATE -Wall)
endif()

target_link_libraries(${PROJECT_NAME}
	OBS::${OBS_FRONTEND_API_NAME}
	OBS::libobs)

if(BUILD_OUT_OF_TREE)
    if(NOT LIB_OUT_DIR)
        set(LIB_OUT_DIR "/lib/obs-plugins")
    endif()
    if(NOT DATA_OUT_DIR)
        set(DATA_OUT_DIR "/share/obs/obs-plugins/${PROJECT_NAME}")
    endif()
    set_target_properties(${PROJECT_NAME} PROPERTIES PREFIX "")
    install(TARGETS ${PROJECT_NAME}
        LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/${LIB_OUT_DIR})
    install(DIRECTORY data/locale
        DESTINATION ${CMAKE_INSTALL_PREFIX}/${DATA_OUT_DIR})
else()
    target_include_directories(${PROJECT_NAME} PRIVATE
        "${CMAKE_SOURCE_DIR}/UI/obs-frontend-api")
    set_target_properties(${PROJECT_NAME} PROPERTIES FOLDER "plugins/exeldro")
endif()
setup_plugin_target(${PROJECT_NAME})

=== debian/changelog ===
obs-move-transition (2.8.1-3) unstable; urgency=medium

  * debian/watch: using filenamemangle to generate right names for downloaded
    files.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 31 Jan 2023 21:30:33 -0300

obs-move-transition (2.8.1-2) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.6.2.
  * debian/patches/010_update-translation-pt-BR.patch: created to update pt_BR
    translation.
  * debian/rules: added a target to check if translation to pt_BR is updated.
  * debian/watch: improved the search rule, checking if the upstream forgotten
    to add a tag on GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 29 Jan 2023 00:11:58 -0300

obs-move-transition (2.8.1-1) unstable; urgency=medium

  * New upstream version 2.8.1.
  * debian/copyright:
      - Converted the last paragraph of the GPL-2 in a comment.
      - Updated upstream and packaging copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 10 Jan 2023 13:47:38 -0300

obs-move-transition (2.8.0-1) unstable; urgency=medium

  * New upstream version 2.8.0.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 12 Dec 2022 14:22:15 -0300

obs-move-transition (2.7.2-1) unstable; urgency=medium

  * New upstream version 2.7.2.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 25 Nov 2022 23:22:29 -0300

obs-move-transition (2.7.1-1) unstable; urgency=medium

  * New upstream version 2.7.1.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 08 Nov 2022 19:15:40 -0300

obs-move-transition (2.7.0-1) unstable; urgency=medium

  * New upstream version 2.7.0.
  * debian/control:
      - Bumped relationships from 27 to 28.0.1 for obs-studio and libobs.
      - Removed a sentence about minimum supported version for OBS in long
        description.
  * debian/rules: added a temporary workaround to remove duplicate files
    created by upstream.
  * debian/watch: updated the search rule to make it compliant with new
    standards of the GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 12 Oct 2022 17:18:37 -0300

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,16 @@
 %:
 	dh $@
 
+execute_before_dh_auto_configure:
+	if [ "$(shell hostname)" = "canopus" ]; then \
+	    LINESUS=$(shell cat data/locale/en-US.ini | wc -l); \
+	    LINESPT=$(shell cat data/locale/pt-BR.ini | wc -l); \
+	    if [ "$$LINESUS" != "$$LINESPT" ]; then \
+	        echo "ERROR: Translation to pt_BR is out of date."; \
+	        exit 1; \
+	    fi; \
+	fi
+
 override_dh_auto_configure:
 	dh_auto_configure -- -DBUILD_OUT_OF_TREE=On \
                              -DLIB_OUT_DIR=lib/${DEB_TARGET_MULTIARCH}/obs-plugins \
@@ -20,3 +30,11 @@
 execute_after_dh_install-arch:
 	# Check if the plugin is in right place
 	ls ${PLUGIN_DEST}/${PLUGIN_NAME}.so
+
+# Temporary workaround for a similar issue like
+# https://github.com/exeldro/obs-downstream-keyer/issues/19
+execute_after_dh_install:
+	[ -d debian/obs-${PLUGIN_NAME}/usr/data ] || exit 1
+	rm -rf debian/obs-${PLUGIN_NAME}/usr/data
+	[ -d debian/obs-${PLUGIN_NAME}/usr/obs-plugins/*bit ] || exit 1
+	rm -rf debian/obs-${PLUGIN_NAME}/usr/obs-plugins

## obs-move-transition 2.9.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
   cmake_minimum_required(VERSION 3.18)
 endif()
 
-project(move-transition VERSION 2.8.1)
+project(move-transition VERSION 2.9.1)
 set(PROJECT_FULL_NAME "Move Transition")
 
 # Set new UUIDs when you start to create a new plugin.
@@ -52,7 +52,8 @@
 	configure_file(${CMAKE_CURRENT_SOURCE_DIR}/resource.rc.in ${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}.rc)
 	target_sources(${PROJECT_NAME} PRIVATE 
 		${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}.rc
-		move-directshow-filter.cpp)
+		move-directshow-filter.cpp
+		nvidia-move-filter.c)
 	target_link_libraries(${PROJECT_NAME}
 		strmiids
 		w32-pthreads)

=== debian/changelog ===
obs-move-transition (2.9.1-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 24 Jul 2023 12:48:11 -0300

obs-move-transition (2.9.1-1) unstable; urgency=medium

  * New upstream version 2.9.1.
  * debian/patches/010_update-translation-pt-BR.patch: removed because the
    upstream added the new translations to source code. Thanks!
  * debian/rules:
      - Disabled temporarily the missing translation detection routine.
      - Using 'export DEB_CFLAGS_MAINT_APPEND = -Wno-psabi' to avoid a FTBFS
        in 32-bit archs when building with GCC-12.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 14 Jun 2023 12:51:39 -0300

obs-move-transition (2.8.1-4) unstable; urgency=medium

  * debian/rules: removed temporary workaround to exclude extra installed
    files in favor of the '-DLINUX_PORTABLE=Off' argument for CMake.
  * debian/upstream/metadata: updated Donation field.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 21 Feb 2023 18:32:58 -0300

=== debian/control ===
Source: obs-move-transition
Section: video
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: debhelper-compat (= 13), cmake, libobs-dev (>= 28.0.1)
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://obsproject.com/forum/resources/move-transition.913/
Vcs-Browser: https://salsa.debian.org/debian/obs-move-transition
Vcs-Git: https://salsa.debian.org/debian/obs-move-transition.git

Package: obs-move-transition
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, obs-studio (>= 28.0.1)
Enhances: obs-studio
Description: plugin for OBS Studio to improve switching scenes
 This plugin moves sources to a new position during a scene transition,
 adding nice effects. If the 2 scenes contain a source with similar name
 (configured with settings) it will do the move the position and size
 between the 2 positions.
 .
 This filter can be added to a scene or a source to override the move
 transition for a source of the scene or the source global.
 .
 To use Move Transition, find for "Move" on "Scene Transitions" dock.

## obs-move-transition 2.9.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,15 @@
 # --- Detect if the plugin is build out of tree or not ---
 if(CMAKE_PROJECT_NAME STREQUAL "obs-studio")
   set(BUILD_OUT_OF_TREE OFF)
+  if(OBS_CMAKE_VERSION VERSION_GREATER_EQUAL 3.0.0)
+  	legacy_check()
+  endif()
 else()
   set(BUILD_OUT_OF_TREE ON)
   cmake_minimum_required(VERSION 3.18)
 endif()
 
-project(move-transition VERSION 2.9.1)
+project(move-transition VERSION 2.9.6)
 set(PROJECT_FULL_NAME "Move Transition")
 
 # Set new UUIDs when you start to create a new plugin.
@@ -82,9 +85,14 @@
         LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/${LIB_OUT_DIR})
     install(DIRECTORY data/locale
         DESTINATION ${CMAKE_INSTALL_PREFIX}/${DATA_OUT_DIR})
+	setup_plugin_target(${PROJECT_NAME})
 else()
     target_include_directories(${PROJECT_NAME} PRIVATE
         "${CMAKE_SOURCE_DIR}/UI/obs-frontend-api")
-    set_target_properties(${PROJECT_NAME} PROPERTIES FOLDER "plugins/exeldro")
+	if(OBS_CMAKE_VERSION VERSION_GREATER_EQUAL 3.0.0)
+		set_target_properties_obs(${PROJECT_NAME} PROPERTIES FOLDER "plugins/exeldro" PREFIX "")
+	else()
+		set_target_properties(${PROJECT_NAME} PROPERTIES FOLDER "plugins/exeldro")
+		setup_plugin_target(${PROJECT_NAME})
+	endif()
 endif()
-setup_plugin_target(${PROJECT_NAME})

=== debian/changelog ===
obs-move-transition (2.9.6-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:09:53 +1100

obs-move-transition (2.9.6-1build1) noble; urgency=high

  * No change rebuild against libobs0t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:45:29 +0100

obs-move-transition (2.9.6-1) unstable; urgency=medium

  * New upstream version 2.9.6.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 08 Nov 2023 17:49:27 -0300

obs-move-transition (2.9.5-1) unstable; urgency=medium

  * New upstream version 2.9.5.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 15 Sep 2023 13:26:25 -0300

obs-move-transition (2.9.4-1) unstable; urgency=medium

  * New upstream version 2.9.4.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 03 Sep 2023 15:25:57 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: obs-move-transition
 Section: video
 Priority: optional
-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: debhelper-compat (= 13), cmake, libobs-dev (>= 28.0.1)
 Standards-Version: 4.6.2
 Rules-Requires-Root: no

## obs-move-transition 3.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
   cmake_minimum_required(VERSION 3.18)
 endif()
 
-project(move-transition VERSION 2.9.6)
+project(move-transition VERSION 3.0.1)
 set(PROJECT_FULL_NAME "Move Transition")
 
 # Set new UUIDs when you start to create a new plugin.
@@ -25,6 +25,7 @@
 	move-transition-override-filter.c
 	move-filter.c
 	move-source-filter.c
+	move-source-swap-filter.c
 	move-value-filter.c
 	move-action-filter.c
 	audio-move.c

=== debian/changelog ===
obs-move-transition (3.0.1-1) unstable; urgency=medium

  * New upstream version 3.0.1.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 11 Jun 2024 14:52:31 -0300

obs-move-transition (3.0.0-1) unstable; urgency=medium

  * New upstream version 3.0.0.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 26 May 2024 00:25:53 -0300

obs-move-transition (2.12.0-1) unstable; urgency=medium

  * New upstream version 2.12.0.
  * debian/copyright: updated upstream and packaging copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 11 May 2024 13:37:39 -0300

## obs-move-transition 3.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
   cmake_minimum_required(VERSION 3.18)
 endif()
 
-project(move-transition VERSION 3.0.1)
+project(move-transition VERSION 3.0.2)
 set(PROJECT_FULL_NAME "Move Transition")
 
 # Set new UUIDs when you start to create a new plugin.

=== debian/changelog ===
obs-move-transition (3.0.2-1) unstable; urgency=medium

  * New upstream version 3.0.2.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 23 Jul 2024 09:00:22 -0300

## obs-move-transition 3.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,12 @@
 # --- Detect if the plugin is build out of tree or not ---
 if(CMAKE_PROJECT_NAME STREQUAL "obs-studio")
   set(BUILD_OUT_OF_TREE OFF)
-  if(OBS_CMAKE_VERSION VERSION_GREATER_EQUAL 3.0.0)
-  	legacy_check()
-  endif()
 else()
   set(BUILD_OUT_OF_TREE ON)
   cmake_minimum_required(VERSION 3.18)
 endif()
 
-project(move-transition VERSION 3.0.2)
+project(move-transition VERSION 3.1.1)
 set(PROJECT_FULL_NAME "Move Transition")
 
 # Set new UUIDs when you start to create a new plugin.
@@ -60,7 +57,8 @@
 		nvidia-move-filter.c)
 	target_link_libraries(${PROJECT_NAME}
 		strmiids
-		w32-pthreads)
+		w32-pthreads
+		ws2_32)
 elseif(OS_MACOS)
 		set(MACOS_BUNDLEID "com.exeldro.${PROJECT_NAME}")
 		set(MACOSX_PLUGIN_GUI_IDENTIFIER "${MACOS_BUNDLEID}")

=== debian/changelog ===
obs-move-transition (3.1.1-1) unstable; urgency=medium

  * New upstream version 3.1.1.
  * debian/control: bumped Standards-Version to 4.7.0.
  * debian/copyright: added new upstream rights.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 07 Nov 2024 19:43:29 -0300

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: obs-move-transition
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
+Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: debhelper-compat (= 13), cmake, libobs-dev (>= 28.0.1)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://obsproject.com/forum/resources/move-transition.913/
 Vcs-Browser: https://salsa.debian.org/debian/obs-move-transition

## obs-move-transition 3.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
   cmake_minimum_required(VERSION 3.18)
 endif()
 
-project(move-transition VERSION 3.1.1)
+project(move-transition VERSION 3.1.2)
 set(PROJECT_FULL_NAME "Move Transition")
 
 # Set new UUIDs when you start to create a new plugin.

=== debian/changelog ===
obs-move-transition (3.1.2-1) unstable; urgency=medium

  * New upstream version 3.1.2.
  * debian/control: bumped Standards-Version to 4.7.2.
  * debian/copyright: updated upstream and packaging copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 03 Apr 2025 13:19:38 -0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: debhelper-compat (= 13), cmake, libobs-dev (>= 28.0.1)
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://obsproject.com/forum/resources/move-transition.913/
 Vcs-Browser: https://salsa.debian.org/debian/obs-move-transition

=== debian/watch ===
version=4

# The following rule is right, but the upstream frequently...
# https://github.com/exeldro/obs-move-transition/tags archive/refs/tags/(\d\S+)\.tar\.(?:bz2|gz|xz)

# The upstream frequently forgets to update the tag on GitHub, but he always
# updates the official homepage at obsproject.com (see Homepage field at
# debian/control file). The following rule is a workaround to check the current
# version on the official homepage and to call this version from the GitHub.

# LINTIAN will warn about the filenamemangle. The filenamemangle is needed
# because we are using jumps and workarounds to get the last version from the
# upstream. Consequently, the name got by uscan is an HTML code (this is trash,
# no filename, no version).

opts="searchmode=plain, \
      downloadurlmangle=s/.*u-muted..([\d\.]+).*/https:\/\/github.com\/exeldro\/@PACKAGE@\/archive\/refs\/tags\/$1\.tar\.gz/, \
      filenamemangle=s/.*muted..([\d\.]+)..span./@PACKAGE@-$1\.tar\.gz/" \
https://obsproject.com/forum/resources/move-transition.913 .span.class..u-muted..(\d\S+)..span.

## obs-move-transition 3.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
   cmake_minimum_required(VERSION 3.18)
 endif()
 
-project(move-transition VERSION 3.1.2)
+project(move-transition VERSION 3.1.5)
 set(PROJECT_FULL_NAME "Move Transition")
 
 # Set new UUIDs when you start to create a new plugin.

=== debian/changelog ===
obs-move-transition (3.1.5-1) unstable; urgency=medium

  * New upstream version 3.1.5.
  * debian/control: removed a no longer needed relationship for libobs-dev.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 06 Sep 2025 22:35:10 -0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: video
 Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Build-Depends: debhelper-compat (= 13), cmake, libobs-dev (>= 28.0.1)
+Build-Depends: debhelper-compat (= 13), cmake, libobs-dev
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://obsproject.com/forum/resources/move-transition.913/

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Needed for GCC-12 and ABI issues.
# https://github.com/exeldro/obs-source-clone/issues/16
export DEB_CFLAGS_MAINT_APPEND = -Wno-psabi

# Exclude "obs-" from NAME and set a DEST
export PLUGIN_NAME=$(shell echo ${DEB_SOURCE} | cut -d"-" -f2-)
export PLUGIN_DEST=debian/${DEB_SOURCE}/usr/lib/${DEB_TARGET_MULTIARCH}/obs-plugins

%:
	dh $@

execute_before_dh_auto_configure:
	if [ "$(shell hostname)" = "canopus" ]; then \
	    LINESUS=$(shell cat data/locale/en-US.ini | wc -l); \
	    LINESPT=$(shell cat data/locale/pt-BR.ini | wc -l); \
	    if [ "$$LINESUS" != "$$LINESPT" ]; then \
	        echo "ERROR: Translation to pt_BR is out of date."; \
	        #exit 1; \
	    fi; \
	fi

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_OUT_OF_TREE=On \
                             -DLIB_OUT_DIR=lib/${DEB_TARGET_MULTIARCH}/obs-plugins \
                             -DDATA_OUT_DIR=share/obs/obs-plugins/${PLUGIN_NAME} \
                             -DLINUX_PORTABLE=Off

execute_after_dh_install-arch:
	# Check if the plugin is in right place
	ls ${PLUGIN_DEST}/${PLUGIN_NAME}.so

## obs-move-transition 3.2.0

=== CMakeLists.txt ===
# --- Detect if the plugin is build out of tree or not ---
if(CMAKE_PROJECT_NAME STREQUAL "obs-studio")
  set(BUILD_OUT_OF_TREE OFF)
else()
  set(BUILD_OUT_OF_TREE ON)
  cmake_minimum_required(VERSION 3.16...3.26)
endif()
include("${CMAKE_CURRENT_SOURCE_DIR}/cmake/common/bootstrap.cmake" NO_POLICY_SCOPE)

project(${_name} VERSION ${_version})

include(compilerconfig)
include(defaults)
include(helpers)

add_library(${PROJECT_NAME} MODULE)

target_link_libraries(${PROJECT_NAME} PRIVATE OBS::libobs)

if(BUILD_OUT_OF_TREE)
  find_package(libobs REQUIRED)
  find_package(obs-frontend-api REQUIRED)
  target_link_libraries(${PROJECT_NAME} PRIVATE OBS::obs-frontend-api)
else()
  target_link_libraries(${PROJECT_NAME} PRIVATE OBS::frontend-api)
endif()

target_compile_options(
${PROJECT_NAME} PRIVATE $<$<C_COMPILER_ID:Clang,AppleClang>:-Wno-quoted-include-in-framework-header
                                -Wno-comma>)
set_target_properties(${PROJECT_NAME} PROPERTIES MSVC_RUNTIME_LIBRARY "MultiThreaded$<$<CONFIG:Debug>:Debug>")
set_target_properties(
${PROJECT_NAME}
PROPERTIES AUTOMOC ON
            AUTOUIC ON
            AUTORCC ON)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.h.in ${CMAKE_CURRENT_SOURCE_DIR}/version.h)

if(OS_WINDOWS)
	target_sources(${PROJECT_NAME} PRIVATE 
		move-directshow-filter.cpp
		nvidia-move-filter.c)
	target_link_libraries(${PROJECT_NAME} PRIVATE
		strmiids
		ws2_32)
	configure_file(cmake/windows/resources/installer-Windows.iss.in "${CMAKE_CURRENT_BINARY_DIR}/installer-Windows.generated.iss")
endif()

target_sources(${PROJECT_NAME} PRIVATE
	move-transition.c
	move-transition-override-filter.c
	move-filter.c
	move-source-filter.c
	move-source-swap-filter.c
	move-value-filter.c
	move-action-filter.c
	audio-move.c
	easing.c
	move-transition.h
	easing.h
	version.h)

if(BUILD_OUT_OF_TREE)
	set_target_properties_plugin(${CMAKE_PROJECT_NAME} PROPERTIES OUTPUT_NAME ${_name})
else()
	set_target_properties_obs(${PROJECT_NAME} PROPERTIES FOLDER "plugins/exeldro" PREFIX "")
endif()

=== debian/changelog ===
obs-move-transition (3.2.0-0ubuntu1) resolute; urgency=medium

  * New upstream version 3.2.0
  * debian/control: Only build for archs supported by obs-studio

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 06 Dec 2025 17:26:37 -0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: obs-move-transition
 Section: video
 Priority: optional
-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: debhelper-compat (= 13), cmake, libobs-dev
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
@@ -10,7 +11,7 @@
 Vcs-Git: https://salsa.debian.org/debian/obs-move-transition.git
 
 Package: obs-move-transition
-Architecture: any
+Architecture: amd64 amd64v3 arm64 riscv64 s390x
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}, obs-studio (>= 28.0.1)
 Enhances: obs-studio

## obs-move-transition 3.2.1

=== debian/changelog ===
obs-move-transition (3.2.1-1) unstable; urgency=medium

  * New upstream version 3.2.1. (Closes: #1128733)
  * debian/clean: added cmake/.CMakeBuildNumber.
  * debian/control:
      - Bumped Standards-Version to 4.7.3.
      - Removed no longer needed "Priority: optional" field.
      - Removed no longer needed "Rules-Requires-Root: no" field.
      - Updated dependencies to require libobs-dev and obs-studio >= 32.
        (Closes: #1128463)
  * debian/copyright: updated upstream and packaging copyright years.
  * debian/watch: migrated to version 5.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 24 Feb 2026 12:32:29 -0300

=== debian/control ===
Source: obs-move-transition
Section: video
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: debhelper-compat (= 13), cmake, libobs-dev (>= 32)
Standards-Version: 4.7.3
Homepage: https://obsproject.com/forum/resources/move-transition.913/
Vcs-Browser: https://salsa.debian.org/debian/obs-move-transition
Vcs-Git: https://salsa.debian.org/debian/obs-move-transition.git

Package: obs-move-transition
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, obs-studio (>= 32)
Enhances: obs-studio
Description: plugin for OBS Studio to improve switching scenes
 This plugin moves sources to a new position during a scene transition,
 adding nice effects. If the 2 scenes contain a source with similar name
 (configured with settings) it will do the move the position and size
 between the 2 positions.
 .
 This filter can be added to a scene or a source to override the move
 transition for a source of the scene or the source global.
 .
 To use Move Transition, find for "Move" on "Scene Transitions" dock.

=== debian/watch ===
Version: 5

# The following rule is right, but the upstream frequently...
# https://github.com/exeldro/obs-move-transition/tags archive/refs/tags/(\d\S+)\.tar\.(?:bz2|gz|xz)
# The upstream frequently forgets to update the tag on GitHub, but he always
# updates the official homepage at obsproject.com (see Homepage field at
# debian/control file). The following rule is a workaround to check the current
# version on the official homepage and to call this version from the GitHub.
# LINTIAN will warn about the filenamemangle. The filenamemangle is needed
# because we are using jumps and workarounds to get the last version from the
# upstream. Consequently, the name got by uscan is an HTML code (this is trash,
# no filename, no version).
Source: https://obsproject.com/forum/resources/move-transition.913
Matching-Pattern: .span.class..u-muted..(\d\S+)..span.
Downloadurlmangle: s/.*u-muted..([\d\.]+).*/https:\/\/github.com\/exeldro\/@PACKAGE@\/archive\/refs\/tags\/$1\.tar\.gz/
Filenamemangle: s/.*muted..([\d\.]+)..span./@PACKAGE@-$1\.tar\.gz/
Searchmode: plain
